<?php
include ("../conectar.php");

$cadena_busqueda=$_GET["cadena_busqueda"];

if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }

if ($cadena_busqueda<>"") {
	$array_cadena_busqueda=split("~",$cadena_busqueda);
	$cdgcli=$array_cadena_busqueda[1];
	$dsccli=$array_cadena_busqueda[2];

} else {
	$cdgcli="";
	$dsccli="";
	//$cboEstados="";

}

?>
<html>
	<head>
		<title>Facturas</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function inicio() {
			document.getElementById("form_busqueda").submit();
		}
		
		function nueva_Recibo() {
			location.href="Nuevo_Recibo.php";
		}
		
		function buscar() {
			var cadena;
			cadena=hacer_cadena_busqueda();
			document.getElementById("cadena_busqueda").value=cadena;
			if (document.getElementById("iniciopagina").value=="") {
				document.getElementById("iniciopagina").value=1;
			} else {
				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			}
			document.getElementById("form_busqueda").submit();
		}
		
		
		
		function paginar() {
			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			document.getElementById("form_busqueda").submit();
		}
		
		function hacer_cadena_busqueda() {
			var cdgcli=document.getElementById("cdgcli").value;
			var dsccli=document.getElementById("dsccli").value;
			//var numfactura=document.getElementById("numfactura").value;			
			//var cboEstados=document.getElementById("cboEstados").value;
			//var fechainicio=document.getElementById("vehpla").value;
			//var fechafin=document.getElementById("fechafin").value;
			var cadena="";
			cadena="~"+cdgcli+"~"+dsccli+"~";
			return cadena;
			}

		function guardar_recibo () {
	

				var mensaje="";

				if (document.getElementById("cdgcli").value=="") mensaje+="  - dsccli\n";

				if (document.getElementById("dsccli").value=="") mensaje+="  - Fecha\n";

				if (mensaje!="") {

					alert("Atencion, se han detectado las siguientes incorrecciones:\n\n"+mensaje);

				} else {

					document.getElementById("formulario").submit();

				}

			}	

			
		
		function limpiar() { 
			document.getElementById("form_busqueda").reset();
		}
		
		function abreVentana(){
			miPopup = window.open("ver_clientes2.php","miwin","width=1000,height=380,scrollbars=yes");
			miPopup.focus();
		}
		
		function validarcliente(){
			var codigo=document.getElementById("cdgcli").value;
			miPopup = window.open("comprobarcliente_ini.php?cdgcli="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");
		}	
		
		
		function ceros(obj) {
		  numCeros = '00000'; // pon el nº de ceros que necesites
		  valor = obj.value;
		  valor = numCeros.substring(0,numCeros.length-valor.length)+valor;
		  obj.value = valor; 
		 buscar();
		}
		
		
				
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	

function validar_cabecera()
			{
				var mensaje="";
				if (document.getElementById("dsccli").value=="") mensaje+="  - dsccli\n";
				if (document.getElementById("fecha").value=="") mensaje+="  - Fecha\n";
				if (mensaje!="") {
					alert("Atencion, se han detectado las siguientes incorrecciones:\n\n"+mensaje);
				} else {
					document.getElementById("formulario").submit();
				}
			}	
		



		</script>
	</head>
	<body onLoad="">
		<div id="">
			<div id="zonaContenido">
				<div align="center">
				  <div id="" class="contenidoFactura">
				  
				<form id="form_busqueda" name="formulario" method="post" action="guardar_recibo.php" ">
				
				<form id="form_busqueda" name="form_busqueda" method="post" action="frame_lineas.php" target="frame_rejilla">
				<input id="accion" name="accion" value="modificar" type="hidden">

					<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>					
						<tr>
						  <td width="4%">&nbsp;</td>
							<td width="14%">&nbsp;</td>
						  <td colspan="5" rowspan="2"><input id="cdgcli" type="text" class="cajaPequena" NAME="cdgcli" maxlength="10"  value="<? echo $cdgcli?>" onFocus="siguienteCampo ='dsccli';"  onChange="buscar()"> 
						   <img src="../img/Search_Male_User_Icon_32.png" width="32" height="32" onClick="abreVentana()" title="Buscar cliente" onMouseOver="style.cursor=cursor"> <img src="../img/Accept_Male_User_Icon_32.png" width="32" height="32" onClick="validarcliente()" title="Validar cliente" onMouseOver="style.cursor=cursor"></td>
						  <td width="1%" rowspan="2">&nbsp;</td>
							<td width="21%" rowspan="5">&nbsp;</td>
							<td width="1%" rowspan="2">&nbsp;</td>
							<td width="6%" rowspan="2" align="right"></td>
						</tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>Código</td>
					  </tr>
						<tr>
						  <td rowspan="2">&nbsp;</td>
							<td>Nombre</td>
							<td width="13%"><input id="dsccli" name="dsccli" type="text" class="cajaGrande" maxlength="45"   value="<? echo $dsccli?>" onFocus="siguienteCampo ='numfactura';"  onChange="buscar()">						    </td>
							<td width="5%" rowspan="2"><img src="../img/Recycle-Full-icon (3).png" width="48" height="48" border="0" onClick="limpiar()" onMouseOver="style.cursor=cursor"></td>
							<td width="8%" rowspan="2"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor"></td>
							<td width="9%">&nbsp;</td>
							<td width="18%">&nbsp;</td>
							<td rowspan="2">&nbsp;</td>
							<td rowspan="2">&nbsp;</td>
						</tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
					      <td width="9%">&nbsp;</td>
					      <td width="18%">&nbsp;</td>
						</tr>
					</table>
					<div id="lineaResultado">
                      <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
                        <tr>
                          <td width="34%" align="left">N. de Facturas
                            <input id="filas" type="text" class="cajaPequena" name="filas" maxlength="5"  readonly>
                          </td>
                          <td width="48%">
                            <input id="totalfacturas"  class="cajaPequena" type="hidden" name="totalfacturas" maxlength="5" readonly>
                          </td>
                          <td width="18%" align="right">
                            <input  name="paginas" id="paginas" type="hidden" onChange="paginar()" maxlength="10" readonly>
                          </td>
                      </table>
		          </div>
			        <div id="frmResultado">
				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
							
							<td width="13%">N. FACTURA </td>
							<td width="11%">CODIGO </td>
							<td width="32%">CLIENTE </td>							
							<td width="16%">PLACA</td>
							<td width="8%">MONTO</td>
							<td width="5%">&nbsp;</td>
							<td width="6%">&nbsp;</td>
							<td width="9%">&nbsp;</td>
						</tr>
				</table>
                  
	</div>
				    <iframe width="98%" height="230" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                    <ilayer width="98%" height="60" id="frame_rejilla" name="frame_rejilla"></ilayer>
				    </iframe>
				    <input type="hidden" id="iniciopagina" name="iniciopagina">
				    <div id="botonBusqueda3_nf">
                      <div align="center"> <img src="../img/Symbol-Check_48x48-32.png" alt="Aceptar" width="48" height="48" border="0" onClick="guardar_recibo()" onMouseOver="style.cursor=cursor"> <img src="../img/Symbol-Delete_48x48-32.png" alt="Borrar" width="48" height="48" border="0" onClick="cancelar()" onMouseOver="style.cursor=cursor">
                          <input id="codfamilia" name="codfamilia" value="<? echo $codfamilia?>" type="hidden">
                          <input id="codfacturatmp" name="codfacturatmp" value="<? echo $codfacturatmp?>" type="hidden">
                          <input id="preciototal2" name="preciototal" value="<? echo $preciototal?>" type="hidden">
                      </div>
			      </div>
				    <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
					



			  </form>

			  </form>
			 </div>
		  </div>
    </div>
		
	</body>
</html>
